# GstWebRTCICETransport

See the specification

## GstWebRTCICETransport

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstWebRTCICETransport

### Members

`parent` (GstObject) –
No description available
`role` (GstWebRTCICERole) –
No description available
`component` (GstWebRTCICEComponent) –
No description available
`state` (GstWebRTCICEConnectionState) –
No description available
`gathering_state` (GstWebRTCICEGatheringState) –
No description available
`src` (GstElement *) –
No description available
`sink` (GstElement *) –
No description available
`_padding` (gpointer *) –
No description available

### Class structure

#### GstWebRTCICETransportClass

##### Fields

`parent_class` (GstObjectClass) –
No description available
`_padding` (gpointer *) –
No description available

### GstWebRTC.WebRTCICETransportClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available
`_padding` ([ Object ]) –
No description available

### GstWebRTC.WebRTCICETransportClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available
`_padding` ([ object ]) –
No description available

## GstWebRTC.WebRTCICETransport

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCICETransport

### Members

`parent` (Gst.Object) –
No description available
`role` (GstWebRTC.WebRTCICERole) –
No description available
`component` (GstWebRTC.WebRTCICEComponent) –
No description available
`state` (GstWebRTC.WebRTCICEConnectionState) –
No description available
`gathering_state` (GstWebRTC.WebRTCICEGatheringState) –
No description available
`src` (Gst.Element) –
No description available
`sink` (Gst.Element) –
No description available
`_padding` ([ Object ]) –
No description available

## GstWebRTC.WebRTCICETransport

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCICETransport

### Members

`parent` (Gst.Object) –
No description available
`role` (GstWebRTC.WebRTCICERole) –
No description available
`component` (GstWebRTC.WebRTCICEComponent) –
No description available
`state` (GstWebRTC.WebRTCICEConnectionState) –
No description available
`gathering_state` (GstWebRTC.WebRTCICEGatheringState) –
No description available
`src` (Gst.Element) –
No description available
`sink` (Gst.Element) –
No description available
`_padding` ([ object ]) –
No description available

### Methods

#### gst_webrtc_ice_transport_connection_state_change

    gst_webrtc_ice_transport_connection_state_change (GstWebRTCICETransport * ice,
                                                      GstWebRTCICEConnectionState new_state)

Parameters:

`ice` –
No description available
`new_state` –
No description available

#### GstWebRTC.WebRTCICETransport.prototype.connection_state_change

    function GstWebRTC.WebRTCICETransport.prototype.connection_state_change(new_state: GstWebRTC.WebRTCICEConnectionState): {
        // javascript wrapper for 'gst_webrtc_ice_transport_connection_state_change'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICETransport) –
No description available
`new_state` (GstWebRTC.WebRTCICEConnectionState) –
No description available

#### GstWebRTC.WebRTCICETransport.connection_state_change

    def GstWebRTC.WebRTCICETransport.connection_state_change (self, new_state):
        #python wrapper for 'gst_webrtc_ice_transport_connection_state_change'

Parameters:

`ice` (GstWebRTC.WebRTCICETransport) –
No description available
`new_state` (GstWebRTC.WebRTCICEConnectionState) –
No description available

#### gst_webrtc_ice_transport_gathering_state_change

    gst_webrtc_ice_transport_gathering_state_change (GstWebRTCICETransport * ice,
                                                     GstWebRTCICEGatheringState new_state)

Parameters:

`ice` –
No description available
`new_state` –
No description available

#### GstWebRTC.WebRTCICETransport.prototype.gathering_state_change

    function GstWebRTC.WebRTCICETransport.prototype.gathering_state_change(new_state: GstWebRTC.WebRTCICEGatheringState): {
        // javascript wrapper for 'gst_webrtc_ice_transport_gathering_state_change'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICETransport) –
No description available
`new_state` (GstWebRTC.WebRTCICEGatheringState) –
No description available

#### GstWebRTC.WebRTCICETransport.gathering_state_change

    def GstWebRTC.WebRTCICETransport.gathering_state_change (self, new_state):
        #python wrapper for 'gst_webrtc_ice_transport_gathering_state_change'

Parameters:

`ice` (GstWebRTC.WebRTCICETransport) –
No description available
`new_state` (GstWebRTC.WebRTCICEGatheringState) –
No description available

#### gst_webrtc_ice_transport_new_candidate

    gst_webrtc_ice_transport_new_candidate (GstWebRTCICETransport * ice,
                                            guint stream_id,
                                            GstWebRTCICEComponent component,
                                            const gchar * attr)

Parameters:

`ice` –
No description available
`stream_id` –
No description available
`component` –
No description available
`attr` –
No description available

#### GstWebRTC.WebRTCICETransport.prototype.new_candidate

    function GstWebRTC.WebRTCICETransport.prototype.new_candidate(stream_id: Number, component: GstWebRTC.WebRTCICEComponent, attr: String): {
        // javascript wrapper for 'gst_webrtc_ice_transport_new_candidate'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICETransport) –
No description available
`stream_id` (Number) –
No description available
`component` (GstWebRTC.WebRTCICEComponent) –
No description available
`attr` (String) –
No description available

#### GstWebRTC.WebRTCICETransport.new_candidate

    def GstWebRTC.WebRTCICETransport.new_candidate (self, stream_id, component, attr):
        #python wrapper for 'gst_webrtc_ice_transport_new_candidate'

Parameters:

`ice` (GstWebRTC.WebRTCICETransport) –
No description available
`stream_id` (int) –
No description available
`component` (GstWebRTC.WebRTCICEComponent) –
No description available
`attr` (str) –
No description available

#### gst_webrtc_ice_transport_selected_pair_change

    gst_webrtc_ice_transport_selected_pair_change (GstWebRTCICETransport * ice)

Parameters:

`ice` –
No description available

#### GstWebRTC.WebRTCICETransport.prototype.selected_pair_change

    function GstWebRTC.WebRTCICETransport.prototype.selected_pair_change(): {
        // javascript wrapper for 'gst_webrtc_ice_transport_selected_pair_change'
    }

Parameters:

`ice` (GstWebRTC.WebRTCICETransport) –
No description available

#### GstWebRTC.WebRTCICETransport.selected_pair_change

    def GstWebRTC.WebRTCICETransport.selected_pair_change (self):
        #python wrapper for 'gst_webrtc_ice_transport_selected_pair_change'

Parameters:

`ice` (GstWebRTC.WebRTCICETransport) –
No description available

### Signals

#### on-new-candidate

    on_new_candidate_callback (GstWebRTCICETransport * self,
                               gchar * object,
                               gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### on-new-candidate

    function on_new_candidate_callback(self: GstWebRTC.WebRTCICETransport, object: String, user_data: Object): {
        // javascript callback for the 'on-new-candidate' signal
    }

Parameters:

`self` (GstWebRTC.WebRTCICETransport) –
No description available
`object` (String) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### on-new-candidate

    def on_new_candidate_callback (self, object, *user_data):
        #python callback for the 'on-new-candidate' signal

Parameters:

`self` (GstWebRTC.WebRTCICETransport) –
No description available
`object` (str) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### on-selected-candidate-pair-change

    on_selected_candidate_pair_change_callback (GstWebRTCICETransport * self,
                                                gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last

#### on-selected-candidate-pair-change

    function on_selected_candidate_pair_change_callback(self: GstWebRTC.WebRTCICETransport, user_data: Object): {
        // javascript callback for the 'on-selected-candidate-pair-change' signal
    }

Parameters:

`self` (GstWebRTC.WebRTCICETransport) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### on-selected-candidate-pair-change

    def on_selected_candidate_pair_change_callback (self, *user_data):
        #python callback for the 'on-selected-candidate-pair-change' signal

Parameters:

`self` (GstWebRTC.WebRTCICETransport) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

### Properties

#### component

    “component” GstWebRTCICEComponent *

Flags : Read / Write / Construct Only

#### component

    “component” GstWebRTC.WebRTCICEComponent

Flags : Read / Write / Construct Only

#### component

    “self.props.component” GstWebRTC.WebRTCICEComponent

Flags : Read / Write / Construct Only

#### gathering-state

    “gathering-state” GstWebRTCICEGatheringState *

Flags : Read

#### gathering-state

    “gathering-state” GstWebRTC.WebRTCICEGatheringState

Flags : Read

#### gathering_state

    “self.props.gathering_state” GstWebRTC.WebRTCICEGatheringState

Flags : Read

#### state

    “state” GstWebRTCICEConnectionState *

Flags : Read

#### state

    “state” GstWebRTC.WebRTCICEConnectionState

Flags : Read

#### state

    “self.props.state” GstWebRTC.WebRTCICEConnectionState

Flags : Read

### Virtual Methods

#### gather_candidates

    gboolean
    gather_candidates (GstWebRTCICETransport * transport)

Parameters:

`transport` –
No description available
Returns –
No description available

#### vfunc_gather_candidates

    function vfunc_gather_candidates(transport: GstWebRTC.WebRTCICETransport): {
        // javascript implementation of the 'gather_candidates' virtual method
    }

Parameters:

`transport` (GstWebRTC.WebRTCICETransport) –
No description available
Returns (Number) –
No description available

#### do_gather_candidates

    def do_gather_candidates (transport):
        #python implementation of the 'gather_candidates' virtual method

Parameters:

`transport` (GstWebRTC.WebRTCICETransport) –
No description available
Returns (bool) –
No description available

The results of the search are